<div class="container">
    <form (ngSubmit)="enqueue()">
        <fieldset [disabled]="queueService.lock">
            <div class="input-group my-4">
                <input [(ngModel)]="url" [ngModelOptions]="{standalone: true}" class="form-control form-control-lg"
                       placeholder="paste youtube video url" type="text">
                <div class="input-group-append">
                    <button class="btn btn-primary" type="submit">Add to queue</button>
                    <button (click)="queueService.getQueue()" class="btn btn-secondary" type="button">Refresh list
                    </button>
                </div>
            </div>
        </fieldset>
    </form>

    <div *ngIf="queueService.alert" class="alert alert-danger">Could not find video!</div>

    <div (cdkDropListDropped)="reorder($event)" cdkDropList>
        <div *ngFor="let item of queueService.queue; let i = index" cdkDrag class="queue-item media my-2">
            <div *cdkDragPlaceholder class="queue-placeholder-line my-2"></div>
            <img [src]="item.thumb">
            <div class="media-body px-5 align-middle">
                {{item.name}}
            </div>
            <button (click)="queueService.remove(i)" class="btn btn-lg btn-secondary" type="button">&times;</button>
        </div>
    </div>
</div>
